Bug 419141 - Cannot create more than one row on the "Virtual Desktops" settings page
Summary: Cannot create more than one row on the "Virtual Desktops" settings page
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Applications
Component: kcm_kwinvirtualdesktops (show other bugs)
Version: 5.18.3
Platform: Neon Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-23 13:17 UTC by popov895
Modified: 2020-03-30 00:15 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.18.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description popov895 2020-03-23 13:17:23 UTC
SUMMARY

When a spinbox with the number of rows loses focus, the value of this spinbox (i.e., the count of rows) is always reset to 1. Thus, it's impossible to create more then one row.

STEPS TO REPRODUCE
1. Open "System Settings" > "Workspace Behaviour" > "Virtual Desktops"
2. Set focus to spinbox with the number of rows
3. Change count of rows
4. Set focus to another control (try to click the "Apply" button)

SOFTWARE/OS VERSIONS

Linux/KDE Plasma: KDE Neon 5.18
KDE Plasma Version: 5.18.3
KDE Frameworks Version: 5.68.0
Qt Version: 5.14.1

ADDITIONAL INFORMATION

https://streamable.com/x7p3n
Comment 1 popov895 2020-03-28 16:01:00 UTC
Submitted a patch: https://phabricator.kde.org/D28378
Comment 2 David Edmundson 2020-03-28 16:17:56 UTC
Thanks
Comment 3 Nate Graham 2020-03-30 00:15:51 UTC
Git commit ae022e92c9f516877fa59d5104a84c981895cddf by Nate Graham, on behalf of Eugene Popov.
Committed on 30/03/2020 at 00:15.
Pushed by ngraham into branch 'Plasma/5.18'.

[kcmkwin/kwindesktop] Fix inability to create more than one row on the "Virtual Desktops" settings page

Summary:
When a spinbox with the number of rows loses focus, the value of this spinbox (i.e., the count of rows) is always reset to 1. Thus, it's impossible to create more then one row.

To fix this bug, we need to implement `valueFromText` function.
FIXED-IN: 5.18.4

Reviewers: ngraham, zzag, davidedmundson

Reviewed By: ngraham, davidedmundson

Subscribers: kwin

Tags: #kwin

Differential Revision: https://phabricator.kde.org/D28378

M  +1    -0    kcmkwin/kwindesktop/package/contents/ui/main.qml

https://commits.kde.org/kwin/ae022e92c9f516877fa59d5104a84c981895cddf